<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="./index.css">

	<title>CSS Styling Properties and Positioning</title>
</head>
<body>
	<h2>CSS Common Styling</h2>

	<div id="div-1">This is a div.</div>
	<span id="span-1">This is a span.</span>
	<img id="img" src="https://place-puppy.com/450x450" alt="puppy">
	<span id="span-2">This is another span.</span>
	<div id="div-2">This is another div.</div>

	<h3>Notes on block, inline, and inline-block</h3>
	<p id="p-1">
		Block takes up the whole width of the page by default
	</p>
	<p id="p-2">
		width 60
	</p>
	<p id="p-3">
		width 40
	</p>
	<p>
		Even if there is enough space, block elements do not sit next to each other unless if they are floated.
	</p>

    <p>
	    Inline elements are things like bold and Italics. You cannot control the height and width of these elements.
	</p>

    <p>
	    Inline-block can sit on the same line and combines block and inline properties
	</p>
	<div class="sample">width 30</div>
	<div class="sample">width 30</div>
	<div class="sample">width 30</div>

	<hr>

	<h3>
		Float
	</h3>
	<p>
		The float is used for positioning and formatting
	</p>

	<p>
		<img class="img-float" src="https://place-puppy.com/450x450" alt="">
		Lorem ipsum dolor, sit amet consectetur adipisicing elit. Harum ea aliquid animi quasi temporibus mollitia sit molestiae ab libero accusantium magnam, possimus optio, voluptatibus unde quidem totam cum repellendus, pariatur.lorem Lorem ipsum dolor, sit amet consectetur adipisicing elit. Unde consequuntur cumque error, eius maiores quis nisi, dicta pariatur nam atque totam facere possimus eos consectetur, facilis corrupti ipsum labore assumenda. Lorem, ipsum, dolor sit amet consectetur adipisicing elit. Dolorem nesciunt molestias temporibus ducimus assumenda quidem, dolore consectetur ipsa odio ut expedita omnis voluptatum accusamus velit aut alias? Aliquid, exercitationem ullam.
	</p>

	<hr>

	<h3>CSS Unit</h3>
	<h4>px vs %</h4>

	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>

	<br>

	<!-- vw means viewport width, vh means viewport height 
		1vh and 1 vw == 1% of the parent element
	-->
	<div class="box fifty-vw">
		50vw
	</div>
	<div class="box twenty-five-vh">25vh</div>

	<div>16px</div>
	<div class="one-rem">1rem</div>
	<div class="one-em">1em</div>
	<div class="two-rem">2rem</div>
	<div class="two-em">2em</div>

	<div class="two-hundred-percent">200%</div>

	<div class="parent">
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>

		<div class="two-hundred-percent">200%</div>

		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
	</div>

	<hr>
	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>

	<div class="parent-element">
		Parent element
		<div class="child-one">
			I'm the child-one element
		</div>
		<div class="child-two">
			I'm the child-two element
		</div>
		<div class="child-three">
			I'm the child-three element
		</div>
	</div>

	<hr>
	<h2>Z-index example</h2>
	<p>Element with higher stack order is also above element with lower stack order</p>

	<div class="container">
		<div class="black-box">Black box(z-index = 1)</div>
		<div class="gray-box">Gray box(z-index = 3)</div>
		<div class="green-box">Green box(z-index = 2)</div>
	</div>


</body>
</html>